Subject: Re: [PATCH v11] setup: improve error diagnosis for invalid .git files

From: Junio C Hamano <[email-masked]>
Date: Wed, 04 Mar 2026 14:50:28 -0800

Tian Yuchen <[email-masked]> writes:

> Maybe, but my main concern was that adding 'die()' in 
> 'setup_git_directory_gently_1()' might not be the best choice. 
> Considering the implementations of the preceding functions, I though 
> locating 'die()' in 'setup_explicit_git_dir()' might be a better choice? 

You may be right.  I didn't take a careful enough look to comment.

> By the way, I noticed there's a '(read_gitfile(path))' macro that 
> expands to 'read_gitfile(path, NULL)'. I was planning to pass 
> 'error_code' here, essentially moving the logic from the original 
> 'setup_git_directory_gently_1()' to this location, where the former 
> would only be responsible for returning the error status... The changes 
> would be a bit too extensive if I did it that way.

True.  It would be a lot more invasive change.  I do not know if it
is worth our time _right_ _now_, or if it is better to be left for
future iterations.